
#ifndef __SCREEN_H__
#define __SCREEN_H__
#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------------
#define SCREEN_IMG_TAB_CNT				4

#define CURSOR_SPRITE_NO				0
#define CURSOR_TILE_NO_RECT				640
#define CURSOR_TILE_NO_ARROW			642

//---------------------------------------------------------------------------

typedef struct {
	u16 buf[SCREEN_CX][SCREEN_CY] ALIGN(4);
} ST_SCREEN_IMG;


typedef struct {
	s16 x;
	s16 y;
	s16 cx;
	s16 cy;
	s16 sx;							//ړ
	s16 sy;
	s16 ex;
	s16 ey;
	u16 sprNo;
	u16 tileNo;
} ST_CURSOR;

//---------------------------------------------------------------------------
EWRAM_CODE void ScreenImgInit();
EWRAM_CODE void ScreenImgClear();
EWRAM_CODE void ScreenImgUpdate();


//----
EWRAM_CODE void ScreenCurInit();
EWRAM_CODE void ScreenCurMove();
EWRAM_CODE void ScreenCurInput();

EWRAM_CODE void ScreenCurMoveIn(s16 x, s16 y);
EWRAM_CODE void ScreenCurMoveOut();
EWRAM_CODE void ScreenCurMove();



#ifdef __cplusplus
}
#endif
#endif
